BIMP – GIMP plugin for batch processing images

BIMP - GIMP plugin for batch processing images

BIMP plugin for the raster graphics editor GIMP that allows you to do batch processing of files, that is, apply to multiple specified files is one and the same action automatically.

Plugin features:
Resize, Crop, Reflection, and rotation, Color correction (auto correction of color levels (white balance), brightness, contrast, etc.), sharpen or blur, Add watermark, Change format and compression, Renaming on the model etc. of the operation.

Installation instructions of the plugin is in the source package (README file).
How to install latest version from source into Linux Mint:
1. Download the source package, unpack it.
2. Install the dependencies packages:

sudo apt-get install libgimp2.0-dev libgegl-dev libpcre3-dev[/simterm]

3. Go to the folder with the source code and run command:

make && make install

The install script will compile and copy the executable file “bimp” and localization files (translations of user interface into different languages) in the folder /home/USER/.gimp-2.8/plugins.

BIMP - GIMP plugin for batch processing images

The plugin appears in the GIMP menus: “File” => “Batch Image Manipulation…

BIMP - GIMP plugin for batch processing images

BIMP - GIMP plugin for batch processing images

BIMP - GIMP plugin for batch processing images

Good Luck!!!

http://www.alessandrofrancesconi.it/projects/bimp/

Share to friends
Shekin
Rate author
( 1 assessment, average 5 from 5 )
MintGuide.Org
Subscribe
Notify of
guest
2 Comments
Oldest
Newest Most Voted
Inline Feedbacks
View all comments
Dave
Dave
2021 years ago

Thank you for this post it really helped me me a lot

Floris
Floris
1 year ago

I’m getting a whole bunch of error messages when compiling: $ make && make install which gimptool-2.0 && \ gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign src/*.c src/manipulation-gui/*.c src/images/*.c -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/gimp-2.0 -lgimpui-2.0 -lgimpwidgets-2.0 -lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype -lm -DGIMP_DISABLE_DEPRECATED /usr/bin/gimptool-2.0 src/bimp-gui.c: In function ‘bimp_show_error_dialog’: src/bimp-gui.c:1089:5: warning: format not a string literal and no format arguments [-Wformat-security] ); ^ src/bimp-manipulations-gui.c: In function ‘bimp_open_editwindow’: src/bimp-manipulations-gui.c:48:14: warning: assignment from incompatible pointer… Read more »